# Uses of Class
java.util.Currency

Packages that use Currency
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

- ## Uses of Currency in java.text

  Methods in java.text that return Currency
  Modifier and Type
  Method
  Description
  `Currency`
  DecimalFormat.`getCurrency()`
  Gets the currency used by this decimal format when formatting currency values.
  `Currency`
  DecimalFormatSymbols.`getCurrency()`
  Returns the `Currency` of this `DecimalFormatSymbols`.
  `Currency`
  NumberFormat.`getCurrency()`
  Gets the currency used by this number format when formatting currency values.
  Methods in java.text with parameters of type Currency
  Modifier and Type
  Method
  Description
  `void`
  DecimalFormat.`setCurrency(Currency currency)`
  Sets the currency used by this number format when formatting currency values.
  `void`
  DecimalFormatSymbols.`setCurrency(Currency currency)`
  Sets the currency of this `DecimalFormatSymbols`.
  `void`
  NumberFormat.`setCurrency(Currency currency)`
  Sets the currency used by this number format when formatting currency values.

- ## Uses of Currency in java.util

  Methods in java.util that return Currency
  Modifier and Type
  Method
  Description
  `static Currency`
  Currency.`getInstance(String currencyCode)`
  Returns the `Currency` instance for the given currency code.
  `static Currency`
  Currency.`getInstance(Locale locale)`
  Returns the `Currency` instance for the country of the given locale.
  Methods in java.util that return types with arguments of type Currency
  Modifier and Type
  Method
  Description
  `static Stream<Currency>`
  Currency.`availableCurrencies()`
  Returns a stream of available currencies.
  `static Set<Currency>`
  Currency.`getAvailableCurrencies()`
  Returns a set of available currencies.